Generates a “secret token” to enable communication with our tokenisation APIs.
IMPORTANT: As push provisioning needs to be completed in one minute or less, the recommended setting for the Request Parameter: timeStep is 60.
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal ID of the terminal requesting the transaction. |
| customerReference | String | 1-255 characters | ✓ | Customer reference linked with this card. |
| trackingNumber | String | 1-20 characters | ✓ | Tracking number that identifies the card to be returned. |
| timeStep | Integer | ✓ | Default: 60 – Window during which TOTP is valid in seconds.; ; IMPORTANT: This is the default and recommended setting as push provisioning needs to be completed in one minute or less. | |
| cardSecretLength | Integer | ✓ | Default: 8 – Length of card secret 1-8. | |
| algorithm | String | ✓ | Default: HmacSHA512 – Hashing algorithm used for TOTP generation; ; Possible Values:; ; HmacSHA1, HmacSHA256, HmacSHA512 | |
| transactionID | String | 1-255 characters | ✓ | Transaction ID number generated by the calling client. |
| transactionDate | String | ✓ | Transaction date generated by the calling client. | |
| checksum | String | 1-255 characters | ✓ | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key. |
<?xml version="1.0" encoding="UTF-8"?>
<methodCall>
<methodName>GenerateTimeBasedSecret</methodName>
<params>
<param>
<value>
<string>0079186700</string>
</value>
</param>
<param>
<value>
<string>9654314310</string>
</value>
</param>
<param>
<value>
<string>706213900576273</string>
</value>
</param>
<param>
<value>
<int>60</int>
</value>
</param>
<param>
<value>
<int>8</int>
</value>
</param>
<param>
<value>
<string>HmacSHA256</string>
</value>
</param>
<param>
<value>
<string>123</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20230906T22:09:40</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>3EEC2B46A9F4FFF4DAFC1E85DEC60CCD7B0E5A47</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Parameter | type | Description |
|---|---|---|
| resultCode | Integer | Status code indicating transaction result. |
| secret | String | generated TOTP. |
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Approved</string>
</value>
</member>
<member>
<name>secret</name>
<value>
<string>001#47570689</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>